<<< Previous |  | Next >>>

# FcPatternGet

## Name

FcPatternGet -- Return a value from a pattern

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcResult `FcPatternGet``(FcPattern *`p`, const char *`object`, int `id`, FcValue *`v`);`

## Description

Returns in `v` the `id`'th value associated with the property `object`. The value returned is not a copy, but rather refers to the data stored within the pattern directly. Applications must not free this value.

<<< Previous | Home | Next >>>
FcPatternAdd-Type | Up | FcPatternGet-Type